tigase.server.sreceiver

## Class PubSubTestsTask

- java.lang.Object
- - tigase.server.sreceiver.AbstractReceiverTask
  - - tigase.server.sreceiver.RepoRosterTask
    - - tigase.server.sreceiver.PubSubTestsTask

- All Implemented Interfaces:
    ReceiverTaskIfc

      public class PubSubTestsTask
      extends RepoRosterTask

  Created: Jan 22, 2009 11:02:59 AM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PubSubTestsTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `addOutPacket(Packet packet)` Method description
    `Map<String,PropertyItem>` | `getDefaultParams()` `getDefaultParams` method return task instance default configuration parameters.
    `String` | `getHelp()` `getHelp` method returns task help information.
    `String` | `getType()` `getType` method returns the task type name.
    `protected void` | `processMessage(Packet packet, Queue<Packet> results)` Method description

    - ### Methods inherited from class tigase.server.sreceiver.RepoRosterTask

      `addToRoster, destroy, loadRoster, removeFromRoster, setParams, setRosterItemAdmin, setRosterItemModerationAccepted, setRosterItemOwner, setRosterItemSubscribed`

    - ### Methods inherited from class tigase.server.sreceiver.AbstractReceiverTask

      `addNewSubscribers, addToRoster, getDescription, getInstance, getJID, getParams, getRoster, getRosterItem, getStatistics, getStats, init, isAdmin, isAllowedToPost, isAllowedToSubscribe, processPacket, removeSubscribers, setJID, setRosterItemOnline, setStanzaReceiver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PubSubTestsTask

          public PubSubTestsTask()

  - ### Method Detail

    - #### getDefaultParams

          public Map<String,PropertyItem> getDefaultParams()

      Description copied from interface: `ReceiverTaskIfc`
      `getDefaultParams` method return task instance default configuration parameters. The map should contains all possible parameters accepted by the task in `setParams` method. Values may be empty but may not be `null`. All of parameters should be converted to `String` type to make it possible to display them in ad-hoc command x-form. Parameters then should be converted back to whatever format is needed when passed back in `setParams` method. For more detailed information about configuration parameters please refer to `setParams` method.
      Specified by:
        `getDefaultParams` in interface `ReceiverTaskIfc`
      Overrides:
        `getDefaultParams` in class `AbstractReceiverTask`
      Returns:
        a `Map` value with task instance configuration parameters.
      See Also:
        `ReceiverTaskIfc.setParams(Map)`

    - #### getHelp

          public String getHelp()

      Description copied from interface: `ReceiverTaskIfc`
      `getHelp` method returns task help information. This general information about tasks abilties so when the user selects task for creation he might know what the task is about. This is more like class description rather then instance description.
      Returns:
        a `String` value of task class help information.

    - #### getType

          public String getType()

      Description copied from interface: `ReceiverTaskIfc`
      `getType` method returns the task type name. This name is displayed on the list of all tasks available for creation. This is not a nick name of created task this is something more like "Drupal forums connector" or "Interest group". Like a Java class name is unique in JVM the task name must be also inique for `StanzaReceiver.` Look at task nick name for more details.
      Returns:
        a `String` value of the task name.

    - #### addOutPacket

          protected boolean addOutPacket(Packet packet)

      Description copied from class: `AbstractReceiverTask`
      Method description
      Overrides:
        `addOutPacket` in class `AbstractReceiverTask`

    - #### processMessage

          protected void processMessage(Packet packet,
                                        Queue<Packet> results)

      Description copied from class: `AbstractReceiverTask`
      Method description
      Overrides:
        `processMessage` in class `AbstractReceiverTask`

Copyright © 2017 "Tigase, Inc.". All rights reserved.